=== debian/changelog ===
php-vitexsoftware-ease-core (1.45.0) UNRELEASED; urgency=medium

  * Preparation for php8.4

 -- vitex <info@vitexsoftware.cz>  Fri, 15 Nov 2024 02:23:30 +0100

php-vitexsoftware-ease-core (1.44.2) unstable; urgency=medium

  * Strict types

 -- vitex <info@vitexsoftware.cz>  Fri, 15 Nov 2024 02:23:17 +0100

php-vitexsoftware-ease-core (1.44.1) unstable; urgency=medium

  * user strict types fix

 -- vitex <info@vitexsoftware.cz>  Wed, 23 Oct 2024 00:12:00 +0200

php-vitexsoftware-ease-core (1.44.0) unstable; urgency=medium

  * v1.44.0 release

 -- vitex <info@vitexsoftware.cz>  Fri, 11 Oct 2024 06:58:35 +0200

php-vitexsoftware-ease-core (1.43.0) unstable; urgency=medium

  [ Vítězslav Dvořák ]
  * all unit tests pass
  * Code Weihght loss
  * Create compat
  * PHP8 Ready
  * Strict types
  * Set initial properties objectName and keyColumn


  [ CyberVitexus ]
  * Allow use constant definiton from system ENV
  * Using ENV configuration fixed
  * package php-vitexsoftware-ease-core-dev now contain code for mailer testing
  * v0.34 release
  * Merge origin/master  Conflicts:  src/Ease/Shared.php
    src/Ease/User.php
  * Merge origin/master
  * Release v0.39
  * Status Message functions moved to its own trait \Ease\Logger\Logging
  * Create deb
  * Release v0.42
  * Merge branch 'master' of github.com:VitexSoftware/ease-core
  * Merge branch 'master' of github.com:VitexSoftware/ease-core
  * 
  * Apigen is to hungry to generate doc package every time
  * Unit tests pass again
  * Release v1.7
  * added Ability to load simple .env files
  * Release v1.7
  * Release v1.7
  * Release v1.7
  * Merge branch 'main' of github.com:VitexSoftware/ease-core into main
  * Strict types & PHP8 compatibility added
  * 
  * Strict types & PHP8 compatibility added
  * Strict types & PHP8 compatibility added
  * Merge branch 'main' of github.com:VitexSoftware/ease-core into main
  * Try to pass Eventlog encoding test
  * v17 release
  * jenkins
  * jenkins
  * jenkins
  * jenkins
  * prepare to run tests after installing package php-vitexsoftware-ease-
    core-dev
  * prepare to run tests after installing package php-vitexsoftware-ease-
    core-dev
  * prepare to run tests after installing package php-vitexsoftware-ease-
    core-dev
  * prepare to run tests after installing package php-vitexsoftware-ease-
    core-dev
  * prepare to run tests after installing package php-vitexsoftware-ease-
    core-dev
  * prepare to run tests after installing package php-vitexsoftware-ease-
    core-dev
  * prepare to run tests after installing package php-vitexsoftware-ease-
    core-dev
  * prepare to run tests after installing package php-vitexsoftware-ease-
    core-dev
  * prepare to run tests after installing package php-vitexsoftware-ease-
    core-dev
  * we use composer-debian now
  * composer-debian used now
  * EaseCoreTests -> EaseCore/Test
  * EaseCoreTests -> EaseCore/Test
  * EaseCoreTests -> EaseCore/Test
  * path in rules fix
  * path in rules fix
  * vendor path fix

  [ vitex ]
  * v1.37 release
  * fix
  * Init Added
  * appVersion added
  * Shared::Init for sqlite
  * phpstan
  * Init Improvements

 -- vitex <info@vitexsoftware.cz>  Fri, 04 Oct 2024 06:54:57 +0200

php-vitexsoftware-ease-core (0.12) UNRELEASED; urgency=medium

  * Sensiolabs Icon removed
  * global rename ease-framework to ease-core
  * Package update
  * Update deb package schema for current composer Upgrade all using
    apps by composer-global-update in postinst
  * Update deb package schema for current composer Upgrade all using
    apps by composer-global-update in postinst
  * Code Cleanup
  * Keep user in session backported
  * Lintian is happy now

 -- Vítězslav Dvořák <info@vitexsoftware.cz>  Fri, 11 Oct 2019 11:04:56 +0200

php-vitexsoftware-ease-core (0.1) EXPERIMENTAL; urgency=medium

  * Package build fixed

 -- Vítězslav Dvořák <vitex@develoid.jinonice.czf>  Fri, 01 Jun 2018 08:47:35 +0200
