=== debian/control ===
Source: php-vitexsoftware-ease-core
Build-Depends: debhelper (>= 10), moreutils, jq, composer, phpdocumentor, php-mbstring, php-dom, php-xml, php-intl, php-cli
Section: web
Standards-Version: 3.9.8
Maintainer: Vítězslav Dvořák <info@vitexsoftware.cz>
Uploaders: Vitex <vitex@hippy.cz>
Priority: optional
Homepage: https://github.com/VitexSoftware/php-ease-core

Package: php-vitexsoftware-ease-core
Depends: ${misc:Depends}, php-mail, php-mail-mime, composer-debian, php-intl
Conflicts: ease-framework
Architecture: all
Suggests: php-vitexsoftware-ease-html, php-vitexsoftware-ease-bootstrap, php-vitexsoftware-ease-bootstrap4
Section: web
Priority: optional
Description: EasePHP Framework Core
 common classes for Ease Framework.

Package: php-vitexsoftware-ease-core-dev
Pre-Depends: default-mta | postfix | exim4 | ssmtp | mail-transport-agent
Depends: ${misc:Depends}, php-mail, php-mail-mime, php-vitexsoftware-ease-core, phpunit,
Architecture: all
Suggests: php-vitexsoftware-ease-html, php-vitexsoftware-ease-bootstrap, php-vitexsoftware-ease-bootstrap4
Section: web
Priority: optional
Description: EasePHP Framework Unit Tests
 Ease Framework Core unit Test classes.

Package: php-vitexsoftware-ease-core-doc
Depends: ${misc:Depends}
Architecture: all
Suggests: www-browser
Section: doc
Priority: optional
Description: EasePHP Framework Documentation
 Ease Framework core documentation generate phpDocumentor
