=== debian/rules ===
#!/usr/bin/make -f

PKG_PATH:=/usr/share/php/EaseCore
BUILD_DIR:=build

%:
	dh $@

override_dh_prep:
	phpdoc -d src --defaultpackagename=MainPackage
	rm -rf docs
	mkdir -p docs        
	mv .phpdoc/build/* docs
	dh_prep

override_dh_auto_test:
	composer update --no-ansi --no-interaction --no-progress --no-scripts --optimize-autoloader
	./vendor/bin/phpunit --bootstrap tests/Bootstrap.php 
	dh_auto_test


override_dh_install:
	dh_install
	echo "require_once 'Mail.php';"  >> debian/php-vitexsoftware-ease-core/usr/share/php/EaseCore/Mailer.php
	echo "require_once 'Mail/mime.php';" >> debian/php-vitexsoftware-ease-core/usr/share/php/EaseCore/Mailer.php
	sed -i -e 's/..\/vendor/\/var\/lib\/php-vitexsoftware-ease-core/g' 	debian/php-vitexsoftware-ease-core-dev/usr/share/doc/php-vitexsoftware-ease-core-dev/SendTestMail.php
	sed -i -e 's/..\/i18n/\/usr\/share\/locale/g'            	        debian/php-vitexsoftware-ease-core/usr/share/php/EaseCore/Locale.php
	sed -i -e 's/.\/i18n/\/usr\/share\/php\/EaseCore\/Test\/i18n/g' debian/php-vitexsoftware-ease-core-dev/usr/share/php/EaseCore/Test/Ease/LocaleTest.php
	sed -i -e 's/tests\/.env/\/usr\/share\/php\/EaseCore\/Test\/.env/g' debian/php-vitexsoftware-ease-core-dev/usr/share/php/EaseCore/Test/Ease/SharedTest.php
	sed -i -e 's/tests\/configtest.json/\/usr\/share\/php\/EaseCore\/Test\/configtest.json/g' debian/php-vitexsoftware-ease-core-dev/usr/share/php/EaseCore/Test/Ease/SharedTest.php
	sed -i 's/vitexsoftware/deb/' debian/php-vitexsoftware-ease-core/usr/share/php/EaseCore/Logger/Logging.php
	jq '.version = "'`dpkg-parsechangelog | sed -n 's/^Version: //p'| sed 's/~.*//'`'"'  debian/composer.json |sponge debian/php-vitexsoftware-ease-core/usr/share/php/EaseCore/composer.json
